Package org.apache.tools.ant.types

# Class TarScanner

java.lang.Object
org.apache.tools.ant.DirectoryScanner
org.apache.tools.ant.types.ArchiveScanner
org.apache.tools.ant.types.TarScanner

All Implemented Interfaces:
  `FileScanner`, `ResourceFactory`, `SelectorScanner`

public class TarScanner extends ArchiveScanner
Scans tar archives for resources.

- ## Field Summary

  ### Fields inherited from class org.apache.tools.ant.types.ArchiveScanner

  `srcFile`

  ### Fields inherited from class org.apache.tools.ant.DirectoryScanner

  `basedir, DEFAULTEXCLUDES, dirsDeselected, dirsExcluded, dirsIncluded, dirsNotIncluded, DOES_NOT_EXIST_POSTFIX, errorOnMissingDir, everythingIncluded, excludes, filesDeselected, filesExcluded, filesIncluded, filesNotIncluded, haveSlowResults, includes, isCaseSensitive, MAX_LEVELS_OF_SYMLINKS, selectors`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TarScanner()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected void`
  `fillMapsFromArchive(Resource src, String encoding, Map<String,Resource> fileEntries, Map<String,Resource> matchFileEntries, Map<String,Resource> dirEntries, Map<String,Resource> matchDirEntries)`
  Fills the file and directory maps with resources read from the archive.

  ### Methods inherited from class org.apache.tools.ant.types.ArchiveScanner

  `getIncludedDirectories, getIncludedDirsCount, getIncludedFiles, getIncludedFilesCount, getResource, init, match, scan, setEncoding, setErrorOnMissingArchive, setSrc, setSrc, trimSeparator`

  ### Methods inherited from class org.apache.tools.ant.DirectoryScanner

  `addDefaultExclude, addDefaultExcludes, addExcludes, clearResults, couldHoldIncluded, getBasedir, getDefaultExcludes, getDeselectedDirectories, getDeselectedFiles, getExcludedDirectories, getExcludedFiles, getNotFollowedSymlinks, getNotIncludedDirectories, getNotIncludedFiles, isCaseSensitive, isEverythingIncluded, isExcluded, isFollowSymlinks, isIncluded, isSelected, match, match, matchPath, matchPath, matchPatternStart, matchPatternStart, removeDefaultExclude, resetDefaultExcludes, scandir, setBasedir, setBasedir, setCaseSensitive, setErrorOnMissingDir, setExcludes, setFollowSymlinks, setIncludes, setMaxLevelsOfSymlinks, setSelectors, slowScan`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### TarScanner

    public TarScanner()

- ## Method Details

  - ### fillMapsFromArchive

    protected void fillMapsFromArchive(Resource src, String encoding, Map<String,Resource> fileEntries, Map<String,Resource> matchFileEntries, Map<String,Resource> dirEntries, Map<String,Resource> matchDirEntries)
    Fills the file and directory maps with resources read from the archive.
    Specified by:
      `fillMapsFromArchive` in class `ArchiveScanner`
    Parameters:
      `src` - the archive to scan.
      `encoding` - encoding used to encode file names inside the archive.
      `fileEntries` - Map (name to resource) of non-directory resources found inside the archive.
      `matchFileEntries` - Map (name to resource) of non-directory resources found inside the archive that matched all include patterns and didn't match any exclude patterns.
      `dirEntries` - Map (name to resource) of directory resources found inside the archive.
      `matchDirEntries` - Map (name to resource) of directory resources found inside the archive that matched all include patterns and didn't match any exclude patterns.